{% extends 'emailBase.html.twig' %}

{% block title %}Activité de l'atelier et de la banque pour le mois {{ month }}{% endblock %}

{% block content %}
    <p>Bonjour,</p>
    <spacer size="16"></spacer>
    <p>Veuillez trouver ci-dessous l'activité de l'atelier des problèmes et de la banque de problèmes collaborative : <a href={{ apps_url }}>{{ apps_url }}</p>
    <spacer size="16"></spacer>

    <callout class="primary">
      <strong>Atelier des problèmes</strong>
    </callout>

    <strong>Ma classe :</strong>

    <ul>
        <li>Nombre d'élèves inscrits : <strong>{{ studentsAmout }}</strong></li>
        <li>Nombre de parties jouées : <strong>{{ gamesAmout }}</strong></li>
        <li>Nombre de problèmes résolus : <strong>{{ problemsResolvedAmouts }}</strong></li>
    </ul>

    <strong>Ensemble des classes :</strong>

    <ul>
        <li>Nombre total de classes inscrites : <strong>{{ totalClassesAmout }}</strong></li>
        <li>Nombre total d'élèves inscrits : <strong>{{ totalStudentsAmout }}</strong></li>
        <li>Nombre total de parties jouées : <strong>{{ totalGamesAmout }}</strong></li>
        <li>Nombre total de problèmes résolus : <strong>{{ totalProblemsResolvedAmouts }}</strong></li>
    </ul>

    <spacer size="16"></spacer>

    <callout class="primary">
      <strong>Banque de problèmes collaborative</strong>
    </callout>

    <strong>Mes contributions :</strong>

    <ul>
        <li>Vous avez contribué à la banque à hauteur de <strong>{{ contributionTextProblems }}</strong> problème(s).</li>
        <li>Vous avez contribué à la banque à hauteur de <strong>{{ contributionPhotos }}</strong> photo(s) mathématiques.</li>
        <li>Vous avez contribué à la banque à hauteur de <strong>{{ contributionPhotoProblems }}</strong> photo-problème(s).</li>
    </ul>

    <strong>Les interactions sur mes problèmes :</strong>

    <ul>
        <li><strong>{{ nbrProblemsLiked }}</strong> problèmes, photos ou photo-problèmes que vous avez postés ont été likés.</li>
        <li><strong>{{ nbrProblemsCommented }}</strong> problèmes, photos ou photo-problèmes que vous avez postés ont été commentés.</li>
        <li>Vos problèmes ou photo-problèmes ont été imprimés <strong>{{ problemsDownloaded }}</strong> fois.</li>
    </ul>

    <strong>Les nouvelles contributions de la communauté :</strong>

    <ul>
        <li><strong>{{ montlyTextProblems }}</strong> nouveaux problèmes ont été ajoutés dans la banque.</li>
        <li><strong>{{ montlyPhotos }}</strong> nouvelles photos ont été ajoutées dans la banque.</li>
        <li><strong>{{ montlyPhotoProblems }}</strong> nouveaux photo-problèmes ont été ajoutés dans la banque.</li>
    </ul>

    <strong>Le TOP 10 des meilleurs contributeurs : </strong>

    <ul>
        {% for topUser in top10Users %}
            <li><strong>{{topUser.username}}</strong> - {{topUser.nbProblem}} contributions</li>
        {% endfor %}
    </ul>

    <center>
        <button class="radius large expanded secondary" href={{ banque_url }}>Contribuer</button>
    </center>

    <small>Si vous ne voulez plus recevoir cet email veuillez vous <a href={{ apps_url ~ "/unsubscribe-emails?id=" ~ userId ~ "&token=" ~ unsubscribeToken }}>désinscrire</a> de cette publication mensuelle</small>
{% endblock %}
